Documentation

Tracking Order Instant

Get the details of your awb which created via KiriminAja API

GET
Is not recommended to use pull tracking for instant delivery method, you must implement webhooks for this delivery here

Body Payloads

PayloadValuesTypeRequired
order_idorder_idStringYES

Request Example

curl --location 'https://tdev.kiriminaja.com/api/mitra/v4/instant/tracking/NBL2-1705636897084' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {token}'

Response Success

{
  "status": true,
  "text": "success",
  "code": 0,
  "method": null,
  "result": {
    "driver": {
      "name": null,
      "phone": null,
      "photo": null
    },
    "origin": {
      "name": "Arfian",
      "address": "Wirobrajan, Kota Yogyakarta, Daerah Istimewa Yogyakarta, Indonesia",
      "address_note": "Tidak Ada Origin",
      "phone": "081280045616",
      "lat": -7.8032616,
      "long": 110.350244
    },
    "destination": {
      "name": "Arfian",
      "address": "Minomartani, Kec. Ngaglik, Kabupaten Sleman, Daerah Istimewa Yogyakarta, Indonesia",
      "address_note": "Tidak Ada Destination",
      "phone": "081280045616",
      "lat": -7.7349434,
      "long": 110.405355
    },
    "date": {
      "created_at": "2024-01-19T04:01:37.000000Z",
      "finished_at": null,
      "allocated_at": null,
      "canceled_at": null
    },
    "cost": {
      "shipping_cost": 34000,
      "insurance": null,
      "admin_fee": 1000,
      "total_price": 35000
    },
    "item": {
      "price": 20000,
      "description": "Barang 1"
    },
    "order_id": "NBL2-1705636897084",
    "service": "gosend",
    "service_type": "instant",
    "tracking_code": "GK-11-3120092",
    "cancel_description": null,
    "live_tracking_url": null
  }
}

Response Failed

{
  "status": false,
  "text": "data not found",
  "code": 2,
  "method": null,
  "result": null
}

Response Body Explanation

ParamDataTypeRemark
statusBooleanRequest result status
textStringResponse message
codeIntegerInternal response code
methodStringAPI method name (can be null)
resultObjectTracking details (null when not found)

Result Object

ParamDataTypeRemark
driverObjectDriver information
originObjectPickup location details
destinationObjectDestination location details
dateObjectShipment lifecycle timestamps
costObjectShipment cost breakdown
itemObjectItem details
order_idStringMerchant order ID
serviceStringCourier/service provider code
service_typeStringService type
tracking_codeStringAir waybill / tracking code
cancel_descriptionStringCancellation reason (if canceled)
live_tracking_urlStringReal-time tracking URL (can be null)